import { html, fixture, expect } from '@open-wc/testing';
import '../src/democracys-library';
import { carousel1, carousel1Title } from '../src/data/carousel-1';
describe('IaDemocracysLibrary', () => {
    it('has particular order', async () => {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
        const el = await fixture(html `<ia-democracys-library></ia-democracys-library>`);
        const mainComponent = (_a = el.shadowRoot) === null || _a === void 0 ? void 0 : _a.querySelector('#democracys-library-main');
        const sections = mainComponent === null || mainComponent === void 0 ? void 0 : mainComponent.children;
        expect(mainComponent).to.exist;
        expect(sections).to.have.lengthOf(4);
        expect((_b = sections === null || sections === void 0 ? void 0 : sections[0]) === null || _b === void 0 ? void 0 : _b.tagName).to.equal('WELCOME-HEADER');
        expect((_c = sections === null || sections === void 0 ? void 0 : sections[1]) === null || _c === void 0 ? void 0 : _c.tagName).to.equal('SECTION');
        expect((_d = sections === null || sections === void 0 ? void 0 : sections[1]) === null || _d === void 0 ? void 0 : _d.getAttribute('id')).to.contain('top-carousel');
        expect((_e = sections === null || sections === void 0 ? void 0 : sections[1]) === null || _e === void 0 ? void 0 : _e.classList.toString()).to.contain('one-col-margin');
        expect((_f = sections === null || sections === void 0 ? void 0 : sections[2]) === null || _f === void 0 ? void 0 : _f.tagName).to.equal('SECTION');
        expect((_g = sections === null || sections === void 0 ? void 0 : sections[2]) === null || _g === void 0 ? void 0 : _g.getAttribute('id')).to.contain('did-you-know');
        expect((_h = sections === null || sections === void 0 ? void 0 : sections[2]) === null || _h === void 0 ? void 0 : _h.classList.toString()).to.contain('one-col-margin');
        expect((_j = sections === null || sections === void 0 ? void 0 : sections[3]) === null || _j === void 0 ? void 0 : _j.tagName).to.equal('RESOURCES-HIGHLIGHTS');
        expect((_k = sections === null || sections === void 0 ? void 0 : sections[3]) === null || _k === void 0 ? void 0 : _k.classList.toString()).to.contain('one-col-margin');
    });
    it('Welcome Header has folded named slot bypass', async () => {
        var _a, _b, _c, _d, _e;
        const el = await fixture(html `<ia-democracys-library></ia-democracys-library>`);
        const mainComponent = (_a = el.shadowRoot) === null || _a === void 0 ? void 0 : _a.querySelector('#democracys-library-main');
        const sections = mainComponent === null || mainComponent === void 0 ? void 0 : mainComponent.children;
        const welcomeHeader = sections === null || sections === void 0 ? void 0 : sections[0];
        expect(welcomeHeader === null || welcomeHeader === void 0 ? void 0 : welcomeHeader.querySelector('div[slot]')).to.exist;
        expect((_b = welcomeHeader === null || welcomeHeader === void 0 ? void 0 : welcomeHeader.querySelector('div[slot]')) === null || _b === void 0 ? void 0 : _b.getAttribute('slot')).to.equal('action-bar-section');
        expect((_c = welcomeHeader === null || welcomeHeader === void 0 ? void 0 : welcomeHeader.querySelector('div[slot]')) === null || _c === void 0 ? void 0 : _c.querySelector('slot')).to
            .exist;
        expect((_e = (_d = welcomeHeader === null || welcomeHeader === void 0 ? void 0 : welcomeHeader.querySelector('div[slot]')) === null || _d === void 0 ? void 0 : _d.querySelector('slot')) === null || _e === void 0 ? void 0 : _e.getAttribute('name')).to.equal('action-bar-section');
    });
    it('Carousel has nested carousel cards', async () => {
        var _a;
        const el = await fixture(html `<ia-democracys-library></ia-democracys-library>`);
        const mainComponent = (_a = el.shadowRoot) === null || _a === void 0 ? void 0 : _a.querySelector('#democracys-library-main');
        const sections = mainComponent === null || mainComponent === void 0 ? void 0 : mainComponent.children;
        const carouselContainer = sections === null || sections === void 0 ? void 0 : sections[1];
        expect(carouselContainer).to.exist;
        // expect(carousel?.children).to.equal(33);
        expect(carouselContainer === null || carouselContainer === void 0 ? void 0 : carouselContainer.children[0].tagName).to.equal('TI-TLE');
        expect(carouselContainer === null || carouselContainer === void 0 ? void 0 : carouselContainer.children[0].innerHTML).to.contain(carousel1Title);
        expect(carouselContainer === null || carouselContainer === void 0 ? void 0 : carouselContainer.children[1].tagName).to.equal('SECTION');
        expect(carouselContainer === null || carouselContainer === void 0 ? void 0 : carouselContainer.children[1].getAttribute('id')).to.equal('carousel-1');
        expect(carouselContainer === null || carouselContainer === void 0 ? void 0 : carouselContainer.children[1].children.length).to.be.greaterThan(8);
        const mainCarousel = carouselContainer === null || carouselContainer === void 0 ? void 0 : carouselContainer.children[1];
        (mainCarousel === null || mainCarousel === void 0 ? void 0 : mainCarousel.children).forEach((child, i) => {
            const data = carousel1[i];
            expect(child.tagName).to.equal('A');
            expect(child.getAttribute('href')).to.contain(data.id);
            expect(child.getAttribute('target')).to.equal('_blank');
            expect(child.getAttribute('title')).to.contain(data.title);
            // image
            expect(child.children[0].tagName).to.equal('ITEM-PREVIEW-IMAGE');
            expect(child.children[0].getAttribute('src')).to.contain(data.image);
        });
    });
    it('passes the a11y audit', async () => {
        const el = await fixture(html `<ia-democracys-library></ia-democracys-library>`);
        await expect(el).shadowDom.to.be.accessible();
    });
});
//# sourceMappingURL=democracys-library.test.js.map